# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'flypbook/version'

Gem::Specification.new do |spec|
  spec.name          = "flypbook"
  spec.version       = Flypbook::VERSION
  spec.authors       = ["Chris Gunadi", "Brian Watkins", "Tyson McNulty", "Liam Morley", "Mitchell Rosen"]
  spec.email         = ["cgunadi@pivotal.io", "bwatkins@pivotal.io", "tmcnulty@pivotal.io", "lmorley@pivotal.io", "mrosen@pivotal.io"]

  spec.summary       = "Automatic screenshot capture for Capybara"
  # spec.description   = %q{TODO: Write a longer description or delete this line.}
  spec.homepage      = "http://pivotal.io"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "rspec", "~> 3.0"
  spec.add_dependency "capybara", "~> 2.11"
  spec.add_dependency "selenium-webdriver", "~> 3.0"
  spec.add_dependency "google_drive", "~> 2.1"

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "sinatra", "~> 1.4"
end
